Package org.apache.sling.discovery.base.commons

# Class UndefinedClusterViewException

java.lang.Object
java.lang.Throwable
java.lang.Exception
org.apache.sling.discovery.base.commons.UndefinedClusterViewException

All Implemented Interfaces:
  `Serializable`

public class UndefinedClusterViewException extends Exception
This exception is thrown when the ClusterViewService does not have a cluster view that is valid. That can either be because it cannot access the repository (login or other repository exception) or that there is no established view yet at all (not yet voted case) - or that there is an established view but it doesn't include the local instance (isolated case)

See Also:
  - Serialized Form

## Nested Class Summary

Nested Classes
Modifier and Type
Class
Description
`static enum`
`UndefinedClusterViewException.Reason`

## Constructor Summary

Constructors
Constructor
Description
`UndefinedClusterViewException(UndefinedClusterViewException.Reason reason)`
`UndefinedClusterViewException(UndefinedClusterViewException.Reason reason, String msg)`

## Method Summary

Modifier and Type
Method
Description
`UndefinedClusterViewException.Reason`
`getReason()`

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### UndefinedClusterViewException

public UndefinedClusterViewException(UndefinedClusterViewException.Reason reason)

### UndefinedClusterViewException

public UndefinedClusterViewException(UndefinedClusterViewException.Reason reason, String msg)

## Method Details

### getReason

public UndefinedClusterViewException.Reason getReason()